Debian Bug report logs - #680407
unblock: liblicense/0.8.1-3

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Asheesh Laroia <asheesh@asheesh.org>

Date: Thu, 5 Jul 2012 17:36:01 UTC

Severity: normal

Done: Niels Thykier <niels@thykier.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#680407; Package release.debian.org. (Thu, 05 Jul 2012 17:36:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Asheesh Laroia <asheesh@asheesh.org>:
New Bug report received and forwarded. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Thu, 05 Jul 2012 17:36:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Asheesh Laroia <asheesh@asheesh.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: unblock: liblicense/0.8.1-3
Date: Thu, 05 Jul 2012 11:24:07 -0600
Package: release.debian.org
Severity: normal
User: release.debian.org@packages.debian.org
Usertags: unblock

Dear release time,

I kindly request an unblock for package liblicense.

This 0.8.1-3 (and its predecessor, 0.8.1-2) was prepared before the freeze, and
is only delayed because of a delay in its sponsorship since a co-maintainer is
not a DD.

The changelog for 0.8.1-2 and 0.8.1-3:

diff -Nru liblicense-0.8.1/debian/changelog liblicense-0.8.1/debian/changelog
--- liblicense-0.8.1/debian/changelog   2012-03-03 09:24:24.000000000 -0600
+++ liblicense-0.8.1/debian/changelog   2012-06-25 20:23:04.000000000 -0600
@@ -1,3 +1,31 @@
+liblicense (0.8.1-3) unstable; urgency=low
+
+  * Adding a Replaces / Breaks line to liblicense-dev's control, since
+    we moved the .a static libs from the liblicense package to -dev.
+    Thanks, Andreas! (Closes: #673803)
+  * Adding a development symbolic link.
+
+ -- Paul Tagliamonte <paultag@debian.org>  Mon, 21 May 2012 16:24:59 -0400
+
+liblicense (0.8.1-2) unstable; urgency=low
+
+  * Acknowledge NMU. (Closes: #662015)
+  * Drop NMU diff, rewrite rules to use dh9, and overrides where needed.
+    - By using the short-style rules, we restore build-arch sanity.
+      (Closes: #655003)
+    - Bumped b-d on debhelper up to 9
+  * Add patch against modules/io/gsf.c, rename the "clone" function to
+    gsf_clone. (Closes: #669451)
+  * Move -cli to utils from libs. (Closes: #663074)
+  * Build for all versions of Python (Closes: #662012)
+  * Remove brace-expansion.
+    - Move the .a files into the -dev package
+  * update to debian/liblicense3.dirs.
+  * Dropped the lintian overrides, since the issues were resolved upstream.
+  * Update to policy 3.9.3. No further changes.
+
+ -- Paul Tagliamonte <paultag@ubuntu.com>  Tue, 08 May 2012 16:47:21 -0400

The rest of the debdiff follows:

diff -Nru liblicense-0.8.1/debian/compat liblicense-0.8.1/debian/compat
--- liblicense-0.8.1/debian/compat      2012-03-03 08:21:31.000000000 -0600
+++ liblicense-0.8.1/debian/compat      2012-05-21 14:24:07.000000000 -0600
@@ -1 +1 @@
-5
+9
diff -Nru liblicense-0.8.1/debian/control liblicense-0.8.1/debian/control
--- liblicense-0.8.1/debian/control     2012-03-03 08:21:31.000000000 -0600
+++ liblicense-0.8.1/debian/control     2012-06-25 20:13:16.000000000 -0600
@@ -2,10 +2,10 @@
 Section: libs
 Priority: extra
 Maintainer: Asheesh Laroia <asheesh@asheesh.org>
-Uploaders: Paul Tagliamonte <paultag@ubuntu.com>
-Standards-Version: 3.9.2
+Uploaders: Paul Tagliamonte <paultag@debian.org>
+Standards-Version: 3.9.3
 X-Python-Version: >= 2.5
-Build-Depends: debhelper (>= 5.0.38), dh-autoreconf, libcurl4-gnutls-dev,
+Build-Depends: debhelper (>= 9.20120115~), dh-autoreconf, libcurl4-gnutls-dev,
  libvorbis-dev, libtag1-dev, libflac-dev, libraptor-dev, libexempi-dev,
  libid3-3.8.3-dev, libgsf-1-dev, python-all-dev (>= 2.5), libglib2.0-dev,
  xsltproc, docbook-xsl, libtool, libexpat-dev
@@ -16,6 +16,8 @@
 Package: liblicense-dev
 Section: libdevel
 Architecture: any
+Replaces: liblicense3 (<< 0.8.1-3)
+Breaks: liblicense3 (<< 0.8.1-3)
 Depends: liblicense3 (= ${binary:Version}), ${misc:Depends}
 Description: Development headers for the liblicense package
  An implementation of the Creative Commons metadata standards for saving
@@ -51,6 +53,7 @@
    - license properties, as described by ccREL

 Package: liblicense-cli
+Section: utils
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: Command line interface for license metadata
diff -Nru liblicense-0.8.1/debian/liblicense3.dirs
liblicense-0.8.1/debian/liblicense3.dirs
--- liblicense-0.8.1/debian/liblicense3.dirs    2012-03-03 08:21:31.000000000
-0600
+++ liblicense-0.8.1/debian/liblicense3.dirs    2012-05-21 14:24:07.000000000
-0600
@@ -1,3 +1,3 @@
 usr/lib
-usr/lib/liblicense/0.8/io
-usr/lib/liblicense/0.8/config
+usr/lib/liblicense/0.8.1/io
+usr/lib/liblicense/0.8.1/config
diff -Nru liblicense-0.8.1/debian/liblicense3.install
liblicense-0.8.1/debian/liblicense3.install
--- liblicense-0.8.1/debian/liblicense3.install 2012-03-03 08:21:31.000000000
-0600
+++ liblicense-0.8.1/debian/liblicense3.install 2012-05-21 14:24:07.000000000
-0600
@@ -1,2 +1,2 @@
 usr/lib/liblicense.so.*
-usr/lib/liblicense/*/*/*.{so,a}
+usr/lib/liblicense/*/*/*.so
diff -Nru liblicense-0.8.1/debian/liblicense3.lintian-overrides
liblicense-0.8.1/debian/liblicense3.lintian-overrides
--- liblicense-0.8.1/debian/liblicense3.lintian-overrides       2012-03-03
08:32:59.000000000 -0600
+++ liblicense-0.8.1/debian/liblicense3.lintian-overrides       1969-12-31
18:00:00.000000000 -0600
@@ -1,4 +0,0 @@
-liblicense3 binary: extra-license-file
-# This is actually a F-P. This was fixed in Lintian it's self
-# with revision `8543ed2db3e1efd74d4f2fd8126d9570dbe33d73'.
-# (VCS Commit diff:
http://anonscm.debian.org/gitweb/?p=lintian/lintian.git;a=commit;h=8543ed2db3e1efd74d4f2fd8126d9570dbe33d73
)
diff -Nru liblicense-0.8.1/debian/liblicense-cli.lintian-overrides
liblicense-0.8.1/debian/liblicense-cli.lintian-overrides
--- liblicense-0.8.1/debian/liblicense-cli.lintian-overrides    2012-03-03
08:32:59.000000000 -0600
+++ liblicense-0.8.1/debian/liblicense-cli.lintian-overrides    1969-12-31
18:00:00.000000000 -0600
@@ -1,4 +0,0 @@
-liblicense-cli binary: extra-license-file
-# This is actually a F-P. This was fixed in Lintian it's self
-# with revision `8543ed2db3e1efd74d4f2fd8126d9570dbe33d73'.
-# (VCS Commit diff:
http://anonscm.debian.org/gitweb/?p=lintian/lintian.git;a=commit;h=8543ed2db3e1efd74d4f2fd8126d9570dbe33d73
)
diff -Nru liblicense-0.8.1/debian/liblicense-dev.install
liblicense-0.8.1/debian/liblicense-dev.install
--- liblicense-0.8.1/debian/liblicense-dev.install      2012-03-03
08:21:31.000000000 -0600
+++ liblicense-0.8.1/debian/liblicense-dev.install      2012-05-21
14:24:07.000000000 -0600
@@ -1,3 +1,4 @@
 usr/include/*
 usr/lib/liblicense*.a
+usr/lib/liblicense/*/*/*.a
 usr/lib/pkgconfig/liblicense.pc
diff -Nru liblicense-0.8.1/debian/liblicense-dev.links liblicense-0.8.1/debian
/liblicense-dev.links
--- liblicense-0.8.1/debian/liblicense-dev.links        1969-12-31
18:00:00.000000000 -0600
+++ liblicense-0.8.1/debian/liblicense-dev.links        2012-06-25
20:04:08.000000000 -0600
@@ -0,0 +1 @@
+usr/lib/liblicense.so.3.0.0 usr/lib/liblicense.so
diff -Nru liblicense-0.8.1/debian/liblicense-dev.lintian-overrides
liblicense-0.8.1/debian/liblicense-dev.lintian-overrides
--- liblicense-0.8.1/debian/liblicense-dev.lintian-overrides    2012-03-03
08:32:59.000000000 -0600
+++ liblicense-0.8.1/debian/liblicense-dev.lintian-overrides    1969-12-31
18:00:00.000000000 -0600
@@ -1,4 +0,0 @@
-liblicense-dev binary: extra-license-file
-# This is actually a F-P. This was fixed in Lintian it's self
-# with revision `8543ed2db3e1efd74d4f2fd8126d9570dbe33d73'.
-# (VCS Commit diff:
http://anonscm.debian.org/gitweb/?p=lintian/lintian.git;a=commit;h=8543ed2db3e1efd74d4f2fd8126d9570dbe33d73
)
diff -Nru liblicense-0.8.1/debian/liblicense-icons.postinst
liblicense-0.8.1/debian/liblicense-icons.postinst
--- liblicense-0.8.1/debian/liblicense-icons.postinst   2012-03-03
08:21:31.000000000 -0600
+++ liblicense-0.8.1/debian/liblicense-icons.postinst   2012-05-21
14:24:07.000000000 -0600
@@ -20,8 +20,8 @@

 case "$1" in
     configure)
-       # Ask GNOME to regenerate icon cache
-       [ ! -d /usr/share/icons/hicolor ] || touch /usr/share/icons/hicolor
+    # Ask GNOME to regenerate icon cache
+    [ ! -d /usr/share/icons/hicolor ] || touch /usr/share/icons/hicolor
     ;;

     abort-upgrade|abort-remove|abort-deconfigure)
diff -Nru liblicense-0.8.1/debian/manpage.xml
liblicense-0.8.1/debian/manpage.xml
--- liblicense-0.8.1/debian/manpage.xml 2012-03-03 08:21:31.000000000 -0600
+++ liblicense-0.8.1/debian/manpage.xml 2012-05-21 14:24:07.000000000 -0600
@@ -17,7 +17,7 @@

 manpage.1: manpage.dbk
         $(XP) $(DB2MAN) $<
-
+
 The xsltproc binary is found in the xsltproc package.  The
 XSL files are in docbook-xsl.  Please remember that if you
 create the nroff version in one of the debian/rules file
@@ -75,14 +75,14 @@
     <title>DESCRIPTION</title>

     <para>The liblicense package provides a
-      <command>&dhpackage;</command> command to
+      <command>&dhpackage;</command> command to
       allow simple command-line examination and manipulation of license
       information embedded in media files.  The default action is to show the
       default license as configured in $HOME/.license.  This default can be
       offered by applications that use liblicense when asking you what
       license you would like to release your work under.
     </para>
-
+
     <para>
       In addition to showing you and allowing you to change the
       embedded license in a file, the <command>&dhpackage;</command>
@@ -220,12 +220,12 @@
     <para>This manual page was written by &dhusername; &dhemail;.  Permission
is
       granted to copy, distribute and/or modify this document under
       the terms of the &gnu; Lesser General Public License, Version 2.1 or any
-         later version published by the Free Software Foundation.
+      later version published by the Free Software Foundation.
+    </para>
+    <para>
+      On Debian systems, the complete text of the GNU Lesser General Public
+      License can be found in /usr/share/common-licenses/LGPL.
     </para>
-       <para>
-         On Debian systems, the complete text of the GNU Lesser General Public
-         License can be found in /usr/share/common-licenses/LGPL.
-       </para>

   </refsect1>
 </refentry>
diff -Nru liblicense-0.8.1/debian/patches/rename-gsf-clone.patch
liblicense-0.8.1/debian/patches/rename-gsf-clone.patch
--- liblicense-0.8.1/debian/patches/rename-gsf-clone.patch      1969-12-31
18:00:00.000000000 -0600
+++ liblicense-0.8.1/debian/patches/rename-gsf-clone.patch      2012-05-21
14:24:07.000000000 -0600
@@ -0,0 +1,33 @@
+Description: Move the clone symbol out of the way
+ This clobbers a global symbol
+Author: Paul Tagliamonte <paultag@ubuntu.com>
+
+--- liblicense-0.8.1.orig/modules/io/gsf.c
++++ liblicense-0.8.1/modules/io/gsf.c
+@@ -102,7 +102,7 @@ char* gsf_read( const char* filename, co
+ static void clone_dir (GsfInfile *in, GsfOutfile *out, const char *uri);
+
+ static void
+-clone (GsfInput *input, GsfOutput *output, const char *uri)
++gsf_clone (GsfInput *input, GsfOutput *output, const char *uri)
+ {
+       if (gsf_input_size (input) > 0) {
+               guint8 const *data;
+@@ -173,7 +173,7 @@ clone_dir (GsfInfile *in, GsfOutfile *ou
+
+                       g_object_unref (G_OBJECT (md));
+               } else {
+-                      clone (new_input, new_output, uri);
++                      gsf_clone (new_input, new_output, uri);
+               }
+       }
+       /* An observation: when you think about the explanation to is_dir
+@@ -225,7 +225,7 @@ int gsf_write( const char* filename, con
+
+       outfile = gsf_outfile_msole_new (output);
+       g_object_unref (G_OBJECT (output));
+-      clone (GSF_INPUT (infile), GSF_OUTPUT (outfile), uri);
++      gsf_clone (GSF_INPUT (infile), GSF_OUTPUT (outfile), uri);
+
+       return TRUE;
+ }
diff -Nru liblicense-0.8.1/debian/patches/series
liblicense-0.8.1/debian/patches/series
--- liblicense-0.8.1/debian/patches/series      1969-12-31 18:00:00.000000000
-0600
+++ liblicense-0.8.1/debian/patches/series      2012-05-21 14:24:07.000000000
-0600
@@ -0,0 +1 @@
+rename-gsf-clone.patch
diff -Nru liblicense-0.8.1/debian/python-liblicense.lintian-overrides
liblicense-0.8.1/debian/python-liblicense.lintian-overrides
--- liblicense-0.8.1/debian/python-liblicense.lintian-overrides 2012-03-03
08:32:59.000000000 -0600
+++ liblicense-0.8.1/debian/python-liblicense.lintian-overrides 1969-12-31
18:00:00.000000000 -0600
@@ -1,4 +0,0 @@
-python-liblicense binary: extra-license-file
-# This is actually a F-P. This was fixed in Lintian it's self
-# with revision `8543ed2db3e1efd74d4f2fd8126d9570dbe33d73'.
-# (VCS Commit diff:
http://anonscm.debian.org/gitweb/?p=lintian/lintian.git;a=commit;h=8543ed2db3e1efd74d4f2fd8126d9570dbe33d73
)
diff -Nru liblicense-0.8.1/debian/rules liblicense-0.8.1/debian/rules
--- liblicense-0.8.1/debian/rules       2012-03-03 09:06:30.000000000 -0600
+++ liblicense-0.8.1/debian/rules       2012-05-21 14:24:07.000000000 -0600
@@ -1,18 +1,17 @@
 #!/usr/bin/make -f

 PYVERS=$(shell pyversions -vr)
-
 DB2MAN=/usr/share/sgml/docbook/stylesheet/xsl/nwalsh/manpages/docbook.xsl
 XP=xsltproc -''-nonet

-license.1: debian/manpage.xml
-       $(XP) $(DB2MAN) $<
-
 # These are used for cross-compiling and for saving the configure script
 # from having to guess our platform (since we know it already)
 DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

+%:
+       dh $@ --with python2
+
 CFLAGS = -Wall -g

 ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
@@ -21,6 +20,16 @@
        CFLAGS += -O2
 endif

+CONFIGURE=../configure --host=$(DEB_HOST_GNU_TYPE) \
+               --build=$(DEB_BUILD_GNU_TYPE) \
+               --prefix=/usr \
+               --mandir=\$${prefix}/share/man \
+               --infodir=\$${prefix}/share/info \
+               --enable-debug-code \
+               --disable-ruby \
+               CFLAGS="$(CFLAGS)" \
+               LDFLAGS="-Wl,--as-needed -ldl"
+
 # shared library versions, option 1
 #version=1.0.0
 #major=1
@@ -30,105 +39,46 @@
 major=`ls src/.libs/lib*.so.* | \
  awk '{if (match($$0,/\.so\.[0-9]+$$/)) print substr($$0,RSTART+4)}'`

-config.status: configure
-       dh_autoreconf
-       dh_testdir
-       # Add here commands to configure the package.
+override_dh_auto_configure:
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
        cp -f /usr/share/misc/config.sub config.sub
 endif
 ifneq "$(wildcard /usr/share/misc/config.guess)" ""
        cp -f /usr/share/misc/config.guess config.guess
 endif
-       ./configure --host=$(DEB_HOST_GNU_TYPE) \
-               --build=$(DEB_BUILD_GNU_TYPE) \
-               --prefix=/usr \
-               --mandir=\$${prefix}/share/man \
-               --infodir=\$${prefix}/share/info \
-               --enable-debug-code CFLAGS="$(CFLAGS)" \
-               LDFLAGS="-Wl,--as-needed" \
-               --disable-ruby
-
-build: license.1 build-stamp
-       touch $@
-
-build-stamp:  config.status
-       dh_testdir
-
-       # Add here commands to compile the package.
-#      $(MAKE) check # first
-       $(MAKE)       # for real
-       touch $@
-
-clean:
-       dh_testdir
-       dh_testroot
-       rm -f build-stamp
-
-       # Add here commands to clean up after the build process.
-       [ ! -f Makefile ] || $(MAKE) distclean
-       rm -f config.sub config.guess
-
-       dh_clean
-
-install: build
-       dh_testdir
-       dh_testroot
-       dh_clean -k
-       dh_installdirs
-
-       # Add here commands to install the package into debian/tmp
-       $(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
-#      mv $(CURDIR)/license.1 $(CURDIR)/debian/tmp/usr/share/man
-
-# Build architecture-independent files here.
-binary-indep: build install
-       dh_testdir -i
-       dh_testroot -i
-       dh_lintian -i
-       dh_installchangelogs -i ChangeLog
-       dh_installdocs -i
-       dh_installexamples -i
-       dh_install -i --sourcedir=debian/tmp
-       dh_installman -i
-       dh_python2 -i --no-guessing-versions
-       dh_link -i
-       dh_strip -i
-       dh_compress -i
-       dh_fixperms -i
-       dh_makeshlibs -i
-       dh_installdeb -i
-       dh_shlibdeps -i
-       dh_gencontrol -i
-       dh_md5sums -i
-       dh_builddeb -i
-
-# Build architecture-dependent files here.
-binary-arch: build install
-       dh_testdir -a
-       dh_testroot -a
-       dh_lintian -a
-       dh_installchangelogs -a ChangeLog
-       dh_installdocs -a
-       dh_installexamples -a
-       dh_install -a --sourcedir=debian/tmp
-       dh_installman -a
-       dh_python2 -a --no-guessing-versions
-       dh_link -a
-       dh_strip -a
-       dh_compress -a
-       dh_fixperms -a
-       dh_makeshlibs -a
-       dh_installdeb -a
-       dh_shlibdeps -a
-       dh_gencontrol -a
-       dh_md5sums -a
-       dh_builddeb -a
-
-build-arch:
-       binary-arch
-build-indep:
-       binary-indep
+       mkdir build-nopy
+       cd build-nopy; \
+               $(CONFIGURE) --disable-python; \
+               cd ..
+       set -e && for x in $(PYVERS); do \
+               mkdir build-$$x; \
+               cd build-$$x; \
+               $(CONFIGURE) PYTHON=/usr/bin/python$$x; \
+               cd ..; \
+       done
+
+
+license.1: debian/manpage.xml
+       $(XP) $(DB2MAN) $<

-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+override_dh_auto_build: license.1
+       $(MAKE) -C build-nopy
+       set -e && for x in $(PYVERS); do \
+               $(MAKE) -C build-$$x; \
+       done
+
+override_dh_auto_install:
+       set -e && for x in $(PYVERS); do \
+               $(MAKE) -C build-$$x DESTDIR=$(CURDIR)/debian/tmp install; \
+       done
+       $(MAKE) -C build-nopy DESTDIR=$(CURDIR)/debian/tmp install
+
+override_dh_auto_clean:
+       rm -rf build-nopy
+       set -e && for x in $(PYVERS); do \
+               rm -rf build-$$x; \
+       done
+       rm -fv config.guess \
+               config.sub \
+               license.1
+       dh_auto_clean

I would appreciate the unblock, as it would fix RC bugs in testing. Thank you!

unblock liblicense/0.8.1-3

-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'stable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-2-amd64 (SMP w/4096 CPU cores)




Reply sent to Niels Thykier <niels@thykier.net>:
You have taken responsibility. (Sun, 08 Jul 2012 17:06:06 GMT) Full text and rfc822 format available.

Notification sent to Asheesh Laroia <asheesh@asheesh.org>:
Bug acknowledged by developer. (Sun, 08 Jul 2012 17:06:06 GMT) Full text and rfc822 format available.

Message #10 received at 680407-done@bugs.debian.org (full text, mbox):

From: Niels Thykier <niels@thykier.net>
To: Asheesh Laroia <asheesh@asheesh.org>, 680407-done@bugs.debian.org
Subject: Re: Bug#680407: unblock: liblicense/0.8.1-3
Date: Sun, 08 Jul 2012 19:02:11 +0200
On 2012-07-05 19:24, Asheesh Laroia wrote:
> Package: release.debian.org Severity: normal User:
> release.debian.org@packages.debian.org Usertags: unblock
> 
> Dear release time,
> 
> I kindly request an unblock for package liblicense.
> 
> This 0.8.1-3 (and its predecessor, 0.8.1-2) was prepared before the
> freeze, and is only delayed because of a delay in its sponsorship
> since a co-maintainer is not a DD.
> 
> The changelog for 0.8.1-2 and 0.8.1-3:
> 
> [...]
> 
> I would appreciate the unblock, as it would fix RC bugs in testing.
> Thank you!
> 
> unblock liblicense/0.8.1-3
> 
> [...]
> 
> 
> 

Hi,

liblicense/0.8.1-3 was subject to the "Uploaded before the
freeze"-exception and has migrated on its own.

~Niels






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 06 Aug 2012 07:25:59 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:18:05 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.